       IDENTIFICATION DIVISION.
       PROGRAM-ID. CUSTOMERREAD.
       ENVIRONMENT DIVISION.
       INPUT-OUTPUT SECTION.
       FILE-CONTROL.
          SELECT TRANSFERS ASSIGN TO "Transfers.dat"
            ORGANIZATION IS LINE SEQUENTIAL.            
       
       DATA DIVISION.
       FILE SECTION.
       FD TRANSFERS.
       01 TRANSFERS-FILE.
          05 SENDER-IBAN PIC X(9).
          05 RECEIVER-FNAME PIC X(9).
          05 AMOUNT-LNAME PIC 9(4)V9(2).
       
       WORKING-STORAGE SECTION.
       01 WS-TRANSFER.
          05 WS-IBAN-SEN PIC X(9).
          05 WS-IBAN-REC PIC X(9).
          05 WS-AMOUNT PIC 9(4)V9(2).
       01 I-IBAN-SEN PIC X(9).
       01 I-IBAN-REC PIC X(9).
       01 I-AMOUNT PIC X(9).
       
       PROCEDURE DIVISION.
       ACCEPT I-IBAN-SEN FROM ARGUMENT-VALUE
       ACCEPT I-IBAN-REC FROM ARGUMENT-VALUE
       ACCEPT I-AMOUNT FROM ARGUMENT-VALUE

       OPEN EXTEND TRANSFERS.
          MOVE I-IBAN-SEN TO SENDER-IBAN.
          MOVE I-IBAN-REC TO RECEIVER-FNAME.
          MOVE I-AMOUNT TO AMOUNT-LNAME.
          WRITE TRANSFERS-FILE
          END-WRITE.	
       CLOSE TRANSFERS.
       
       STOP RUN.

